/**
 * 逻辑层 
 * 主要包括有 孵化器账号的登录 
 * 预留好  重置密码  退出登录 接口  
 */
import { ERRORENUM } from "../../config/errorEnum";
import * as fuhuaqiData from "../../data/fuHuaQi/fuhuaqi"
import { BizError } from "../../util/bizError";

const md5 = require("md5");

//登录
export async function login(uscc:string, pwd:string) {
    if (typeof uscc != "string" || typeof pwd != "string") throw new BizError(ERRORENUM.参数错误, uscc, pwd);
    let fuhuaqiInfo = await fuhuaqiData.findFuHuaQiByUSCC(uscc);
    if(!fuhuaqiInfo) throw new BizError(ERRORENUM.未找到数据);

    let checkPwd = getPwdMd5(fuhuaqiInfo.uscc, pwd);
    if (fuhuaqiInfo.pwd != checkPwd) throw new BizError("密码不正确");
    let fuhuaqiUserInfo = {
        uscc: fuhuaqiInfo.uscc,
        name: fuhuaqiInfo.name
    };
    
    return fuhuaqiUserInfo;
}

//重置密码


//退出登录
export async function logout(uscc:string) {
    if (typeof uscc != "string") throw new BizError(ERRORENUM.参数错误, uscc);
    let fuhuaqiInfo = await fuhuaqiData.findFuHuaQiByUSCC(uscc);
    await fuhuaqiInfo.save();
    return {isOk:true};
}

function getPwdMd5(uscc:string, pwd:string) {
    return md5(uscc+pwd);
}